/* query.c generated by valac 0.26.1, the Vala compiler
 * generated from query.vala, do not modify */

/*
 * Copyright (C) 2010 Michal Hruby <michal.mhr@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Michal Hruby <michal.mhr@gmail.com>
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gee.h>


#define SYNAPSE_TYPE_QUERY_FLAGS (synapse_query_flags_get_type ())

#define SYNAPSE_TYPE_MATCHER_FLAGS (synapse_matcher_flags_get_type ())

#define SYNAPSE_TYPE_QUERY (synapse_query_get_type ())
typedef struct _SynapseQuery SynapseQuery;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

#define SYNAPSE_TYPE_MATCH_SCORE (synapse_match_score_get_type ())
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

typedef enum  {
	SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE = 1 << 0,
	SYNAPSE_QUERY_FLAGS_UNCATEGORIZED = 1 << 1,
	SYNAPSE_QUERY_FLAGS_APPLICATIONS = 1 << 2,
	SYNAPSE_QUERY_FLAGS_ACTIONS = 1 << 3,
	SYNAPSE_QUERY_FLAGS_AUDIO = 1 << 4,
	SYNAPSE_QUERY_FLAGS_VIDEO = 1 << 5,
	SYNAPSE_QUERY_FLAGS_DOCUMENTS = 1 << 6,
	SYNAPSE_QUERY_FLAGS_IMAGES = 1 << 7,
	SYNAPSE_QUERY_FLAGS_FILES = ((SYNAPSE_QUERY_FLAGS_AUDIO | SYNAPSE_QUERY_FLAGS_VIDEO) | SYNAPSE_QUERY_FLAGS_DOCUMENTS) | SYNAPSE_QUERY_FLAGS_IMAGES,
	SYNAPSE_QUERY_FLAGS_PLACES = 1 << 8,
	SYNAPSE_QUERY_FLAGS_INTERNET = 1 << 9,
	SYNAPSE_QUERY_FLAGS_TEXT = 1 << 10,
	SYNAPSE_QUERY_FLAGS_CONTACTS = 1 << 11,
	SYNAPSE_QUERY_FLAGS_ALL = 0xFFFFFFFFLL,
	SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT = SYNAPSE_QUERY_FLAGS_ALL ^ SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE
} SynapseQueryFlags;

typedef enum  {
	SYNAPSE_MATCHER_FLAGS_NO_REVERSED = 1 << 0,
	SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING = 1 << 1,
	SYNAPSE_MATCHER_FLAGS_NO_PARTIAL = 1 << 2,
	SYNAPSE_MATCHER_FLAGS_NO_FUZZY = 1 << 3
} SynapseMatcherFlags;

struct _SynapseQuery {
	gchar* query_string;
	gchar* query_string_folded;
	GCancellable* cancellable;
	SynapseQueryFlags query_type;
	guint max_results;
	guint query_id;
};

typedef enum  {
	SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED,
	SYNAPSE_SEARCH_ERROR_UNKNOWN_ERROR
} SynapseSearchError;
#define SYNAPSE_SEARCH_ERROR synapse_search_error_quark ()
typedef enum  {
	SYNAPSE_MATCH_SCORE_INCREMENT_MINOR = 2000,
	SYNAPSE_MATCH_SCORE_INCREMENT_SMALL = 5000,
	SYNAPSE_MATCH_SCORE_INCREMENT_MEDIUM = 10000,
	SYNAPSE_MATCH_SCORE_INCREMENT_LARGE = 20000,
	SYNAPSE_MATCH_SCORE_URI_PENALTY = 15000,
	SYNAPSE_MATCH_SCORE_POOR = 50000,
	SYNAPSE_MATCH_SCORE_BELOW_AVERAGE = 60000,
	SYNAPSE_MATCH_SCORE_AVERAGE = 70000,
	SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE = 75000,
	SYNAPSE_MATCH_SCORE_GOOD = 80000,
	SYNAPSE_MATCH_SCORE_VERY_GOOD = 85000,
	SYNAPSE_MATCH_SCORE_EXCELLENT = 90000,
	SYNAPSE_MATCH_SCORE_HIGHEST = 100000
} SynapseMatchScore;



GType synapse_query_flags_get_type (void) G_GNUC_CONST;
GType synapse_matcher_flags_get_type (void) G_GNUC_CONST;
GType synapse_query_get_type (void) G_GNUC_CONST;
SynapseQuery* synapse_query_dup (const SynapseQuery* self);
void synapse_query_free (SynapseQuery* self);
void synapse_query_copy (const SynapseQuery* self, SynapseQuery* dest);
void synapse_query_destroy (SynapseQuery* self);
void synapse_query_init (SynapseQuery *self, guint query_id, const gchar* query, SynapseQueryFlags flags, guint num_results);
gboolean synapse_query_is_cancelled (SynapseQuery *self);
GQuark synapse_search_error_quark (void);
void synapse_query_check_cancellable (SynapseQuery *self, GError** error);
GeeList* synapse_query_get_matchers_for_query (const gchar* query, SynapseMatcherFlags match_flags, GRegexCompileFlags flags);
GType synapse_match_score_get_type (void) G_GNUC_CONST;
static void _vala_array_add6 (gchar*** array, int* length, int* size, gchar* value);
static void _vala_array_add7 (gchar*** array, int* length, int* size, gchar* value);
static gint __lambda5_ (GeeMapEntry* a, GeeMapEntry* b);
static gint ___lambda5__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


GType synapse_query_flags_get_type (void) {
	static volatile gsize synapse_query_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE, "SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE", "include-remote"}, {SYNAPSE_QUERY_FLAGS_UNCATEGORIZED, "SYNAPSE_QUERY_FLAGS_UNCATEGORIZED", "uncategorized"}, {SYNAPSE_QUERY_FLAGS_APPLICATIONS, "SYNAPSE_QUERY_FLAGS_APPLICATIONS", "applications"}, {SYNAPSE_QUERY_FLAGS_ACTIONS, "SYNAPSE_QUERY_FLAGS_ACTIONS", "actions"}, {SYNAPSE_QUERY_FLAGS_AUDIO, "SYNAPSE_QUERY_FLAGS_AUDIO", "audio"}, {SYNAPSE_QUERY_FLAGS_VIDEO, "SYNAPSE_QUERY_FLAGS_VIDEO", "video"}, {SYNAPSE_QUERY_FLAGS_DOCUMENTS, "SYNAPSE_QUERY_FLAGS_DOCUMENTS", "documents"}, {SYNAPSE_QUERY_FLAGS_IMAGES, "SYNAPSE_QUERY_FLAGS_IMAGES", "images"}, {SYNAPSE_QUERY_FLAGS_FILES, "SYNAPSE_QUERY_FLAGS_FILES", "files"}, {SYNAPSE_QUERY_FLAGS_PLACES, "SYNAPSE_QUERY_FLAGS_PLACES", "places"}, {SYNAPSE_QUERY_FLAGS_INTERNET, "SYNAPSE_QUERY_FLAGS_INTERNET", "internet"}, {SYNAPSE_QUERY_FLAGS_TEXT, "SYNAPSE_QUERY_FLAGS_TEXT", "text"}, {SYNAPSE_QUERY_FLAGS_CONTACTS, "SYNAPSE_QUERY_FLAGS_CONTACTS", "contacts"}, {SYNAPSE_QUERY_FLAGS_ALL, "SYNAPSE_QUERY_FLAGS_ALL", "all"}, {SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT, "SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT", "local-content"}, {0, NULL, NULL}};
		GType synapse_query_flags_type_id;
		synapse_query_flags_type_id = g_flags_register_static ("SynapseQueryFlags", values);
		g_once_init_leave (&synapse_query_flags_type_id__volatile, synapse_query_flags_type_id);
	}
	return synapse_query_flags_type_id__volatile;
}


GType synapse_matcher_flags_get_type (void) {
	static volatile gsize synapse_matcher_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_matcher_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_MATCHER_FLAGS_NO_REVERSED, "SYNAPSE_MATCHER_FLAGS_NO_REVERSED", "no-reversed"}, {SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING, "SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING", "no-substring"}, {SYNAPSE_MATCHER_FLAGS_NO_PARTIAL, "SYNAPSE_MATCHER_FLAGS_NO_PARTIAL", "no-partial"}, {SYNAPSE_MATCHER_FLAGS_NO_FUZZY, "SYNAPSE_MATCHER_FLAGS_NO_FUZZY", "no-fuzzy"}, {0, NULL, NULL}};
		GType synapse_matcher_flags_type_id;
		synapse_matcher_flags_type_id = g_flags_register_static ("SynapseMatcherFlags", values);
		g_once_init_leave (&synapse_matcher_flags_type_id__volatile, synapse_matcher_flags_type_id);
	}
	return synapse_matcher_flags_type_id__volatile;
}


void synapse_query_init (SynapseQuery *self, guint query_id, const gchar* query, SynapseQueryFlags flags, guint num_results) {
	guint _tmp0_ = 0U;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	SynapseQueryFlags _tmp5_ = 0;
	guint _tmp6_ = 0U;
#line 95 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	g_return_if_fail (query != NULL);
#line 95 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	memset (self, 0, sizeof (SynapseQuery));
#line 100 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp0_ = query_id;
#line 100 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*self).query_id = _tmp0_;
#line 101 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp1_ = query;
#line 101 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 101 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 ((*self).query_string);
#line 101 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*self).query_string = _tmp2_;
#line 102 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp3_ = query;
#line 102 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp4_ = g_utf8_casefold (_tmp3_, (gssize) (-1));
#line 102 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 102 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*self).query_string_folded = _tmp4_;
#line 103 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp5_ = flags;
#line 103 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*self).query_type = _tmp5_;
#line 104 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp6_ = num_results;
#line 104 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*self).max_results = _tmp6_;
#line 189 "query.c"
}


gboolean synapse_query_is_cancelled (SynapseQuery *self) {
	gboolean result = FALSE;
	GCancellable* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 109 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 109 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 109 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	result = _tmp1_;
#line 109 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	return result;
#line 205 "query.c"
}


void synapse_query_check_cancellable (SynapseQuery *self, GError** error) {
	GCancellable* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 114 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 114 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 114 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (_tmp1_) {
#line 219 "query.c"
		GError* _tmp2_ = NULL;
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp2_ = g_error_new_literal (SYNAPSE_SEARCH_ERROR, SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED, "Cancelled");
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_inner_error_ = _tmp2_;
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (_inner_error_->domain == SYNAPSE_SEARCH_ERROR) {
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_propagate_error (error, _inner_error_);
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return;
#line 231 "query.c"
		} else {
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 116 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return;
#line 239 "query.c"
		}
	}
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1115 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1116 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1116 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1117 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1117 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1118 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _result_;
#line 1118 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 264 "query.c"
}


static void _vala_array_add6 (gchar*** array, int* length, int* size, gchar* value) {
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if ((*length) == (*size)) {
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 275 "query.c"
	}
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*array)[(*length)++] = value;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*array)[*length] = NULL;
#line 281 "query.c"
}


static gchar* _vala_g_strjoinv (const gchar* separator, gchar** str_array, int str_array_length1) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gchar** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
#line 964 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = separator;
#line 964 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp0_ == NULL) {
#line 965 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		separator = "";
#line 298 "query.c"
	}
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3_ = str_array;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3__length1 = str_array_length1;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp3_ != NULL) {
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp2_ = TRUE;
#line 308 "query.c"
	} else {
		gchar** _tmp4_ = NULL;
		gint _tmp4__length1 = 0;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = str_array;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4__length1 = str_array_length1;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp4__length1 > 0;
#line 318 "query.c"
	}
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp2_) {
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 324 "query.c"
	} else {
		gboolean _tmp5_ = FALSE;
		gchar** _tmp6_ = NULL;
		gint _tmp6__length1 = 0;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = str_array;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6__length1 = str_array_length1;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		if (_tmp6__length1 == (-1)) {
#line 335 "query.c"
			gchar** _tmp7_ = NULL;
			gint _tmp7__length1 = 0;
			const gchar* _tmp8_ = NULL;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp7_ = str_array;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp7__length1 = str_array_length1;
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp8_ = _tmp7_[0];
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp5_ = _tmp8_ != NULL;
#line 347 "query.c"
		} else {
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp5_ = FALSE;
#line 351 "query.c"
		}
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp1_ = _tmp5_;
#line 355 "query.c"
	}
#line 967 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 359 "query.c"
		gint i = 0;
		gsize len = 0UL;
		gint _tmp31_ = 0;
		gint _tmp33_ = 0;
		gint _tmp34_ = 0;
		gsize _tmp35_ = 0UL;
		const gchar* _tmp36_ = NULL;
		gint _tmp37_ = 0;
		gint _tmp38_ = 0;
		gint _tmp39_ = 0;
		const gchar* res = NULL;
		gsize _tmp40_ = 0UL;
		void* _tmp41_ = NULL;
		void* ptr = NULL;
		const gchar* _tmp42_ = NULL;
		gchar** _tmp43_ = NULL;
		gint _tmp43__length1 = 0;
		const gchar* _tmp44_ = NULL;
		void* _tmp45_ = NULL;
		const gchar* _tmp62_ = NULL;
#line 969 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		len = (gsize) 1;
#line 382 "query.c"
		{
			gboolean _tmp9_ = FALSE;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			i = 0;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp9_ = TRUE;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 391 "query.c"
				gboolean _tmp11_ = FALSE;
				gboolean _tmp12_ = FALSE;
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				gint _tmp21_ = 0;
				gchar** _tmp22_ = NULL;
				gint _tmp22__length1 = 0;
				gint _tmp23_ = 0;
				const gchar* _tmp24_ = NULL;
				gsize _tmp30_ = 0UL;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (!_tmp9_) {
#line 404 "query.c"
					gint _tmp10_ = 0;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp10_ = i;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					i = _tmp10_ + 1;
#line 410 "query.c"
				}
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp9_ = FALSE;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp13_ = str_array;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp13__length1 = str_array_length1;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (_tmp13__length1 != (-1)) {
#line 420 "query.c"
					gint _tmp14_ = 0;
					gchar** _tmp15_ = NULL;
					gint _tmp15__length1 = 0;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp14_ = i;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp15_ = str_array;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp15__length1 = str_array_length1;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp12_ = _tmp14_ < _tmp15__length1;
#line 432 "query.c"
				} else {
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp12_ = FALSE;
#line 436 "query.c"
				}
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (_tmp12_) {
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp11_ = TRUE;
#line 442 "query.c"
				} else {
					gboolean _tmp16_ = FALSE;
					gchar** _tmp17_ = NULL;
					gint _tmp17__length1 = 0;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp17_ = str_array;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp17__length1 = str_array_length1;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					if (_tmp17__length1 == (-1)) {
#line 453 "query.c"
						gchar** _tmp18_ = NULL;
						gint _tmp18__length1 = 0;
						gint _tmp19_ = 0;
						const gchar* _tmp20_ = NULL;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
						_tmp18_ = str_array;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
						_tmp18__length1 = str_array_length1;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
						_tmp19_ = i;
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
						_tmp20_ = _tmp18_[_tmp19_];
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
						_tmp16_ = _tmp20_ != NULL;
#line 468 "query.c"
					} else {
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
						_tmp16_ = FALSE;
#line 472 "query.c"
					}
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp11_ = _tmp16_;
#line 476 "query.c"
				}
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (!_tmp11_) {
#line 970 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					break;
#line 482 "query.c"
				}
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp22_ = str_array;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp22__length1 = str_array_length1;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp23_ = i;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp24_ = _tmp22_[_tmp23_];
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (_tmp24_ != NULL) {
#line 494 "query.c"
					gchar** _tmp25_ = NULL;
					gint _tmp25__length1 = 0;
					gint _tmp26_ = 0;
					const gchar* _tmp27_ = NULL;
					gint _tmp28_ = 0;
					gint _tmp29_ = 0;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp25_ = str_array;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp25__length1 = str_array_length1;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp26_ = i;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp27_ = _tmp25_[_tmp26_];
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp28_ = strlen ((const gchar*) _tmp27_);
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp29_ = _tmp28_;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp21_ = _tmp29_;
#line 515 "query.c"
				} else {
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp21_ = 0;
#line 519 "query.c"
				}
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp30_ = len;
#line 971 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				len = _tmp30_ + _tmp21_;
#line 525 "query.c"
			}
		}
#line 973 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp31_ = i;
#line 973 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		if (_tmp31_ == 0) {
#line 532 "query.c"
			gchar* _tmp32_ = NULL;
#line 974 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp32_ = g_strdup ("");
#line 974 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			result = _tmp32_;
#line 974 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			return result;
#line 540 "query.c"
		}
#line 976 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp33_ = i;
#line 976 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		str_array_length1 = _tmp33_;
#line 976 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp34_ = str_array_length1;
#line 977 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp35_ = len;
#line 977 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp36_ = separator;
#line 977 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp37_ = strlen ((const gchar*) _tmp36_);
#line 977 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp38_ = _tmp37_;
#line 977 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp39_ = i;
#line 977 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		len = _tmp35_ + (_tmp38_ * (_tmp39_ - 1));
#line 979 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp40_ = len;
#line 979 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp41_ = g_malloc (_tmp40_);
#line 979 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		res = _tmp41_;
#line 980 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp42_ = res;
#line 980 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp43_ = str_array;
#line 980 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp43__length1 = str_array_length1;
#line 980 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp44_ = _tmp43_[0];
#line 980 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp45_ = g_stpcpy ((void*) _tmp42_, (const gchar*) _tmp44_);
#line 980 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		ptr = _tmp45_;
#line 578 "query.c"
		{
			gboolean _tmp46_ = FALSE;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			i = 1;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			_tmp46_ = TRUE;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 587 "query.c"
				gint _tmp48_ = 0;
				gchar** _tmp49_ = NULL;
				gint _tmp49__length1 = 0;
				void* _tmp50_ = NULL;
				const gchar* _tmp51_ = NULL;
				void* _tmp52_ = NULL;
				const gchar* _tmp53_ = NULL;
				gchar** _tmp54_ = NULL;
				gint _tmp54__length1 = 0;
				gint _tmp55_ = 0;
				const gchar* _tmp56_ = NULL;
				void* _tmp60_ = NULL;
				void* _tmp61_ = NULL;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (!_tmp46_) {
#line 603 "query.c"
					gint _tmp47_ = 0;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp47_ = i;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					i = _tmp47_ + 1;
#line 609 "query.c"
				}
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp46_ = FALSE;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp48_ = i;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp49_ = str_array;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp49__length1 = str_array_length1;
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (!(_tmp48_ < _tmp49__length1)) {
#line 981 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					break;
#line 623 "query.c"
				}
#line 982 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp50_ = ptr;
#line 982 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp51_ = separator;
#line 982 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp52_ = g_stpcpy (_tmp50_, (const gchar*) _tmp51_);
#line 982 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				ptr = _tmp52_;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp54_ = str_array;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp54__length1 = str_array_length1;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp55_ = i;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp56_ = _tmp54_[_tmp55_];
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				if (_tmp56_ != NULL) {
#line 643 "query.c"
					gchar** _tmp57_ = NULL;
					gint _tmp57__length1 = 0;
					gint _tmp58_ = 0;
					const gchar* _tmp59_ = NULL;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp57_ = str_array;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp57__length1 = str_array_length1;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp58_ = i;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp59_ = _tmp57_[_tmp58_];
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp53_ = (const gchar*) _tmp59_;
#line 658 "query.c"
				} else {
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
					_tmp53_ = "";
#line 662 "query.c"
				}
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp60_ = ptr;
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				_tmp61_ = g_stpcpy (_tmp60_, _tmp53_);
#line 983 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
				ptr = _tmp61_;
#line 670 "query.c"
			}
		}
#line 986 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp62_ = res;
#line 986 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		res = NULL;
#line 986 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = (gchar*) _tmp62_;
#line 986 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 681 "query.c"
	} else {
		gchar* _tmp63_ = NULL;
#line 988 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp63_ = g_strdup ("");
#line 988 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = _tmp63_;
#line 988 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 690 "query.c"
	}
}


static void _vala_array_add7 (gchar*** array, int* length, int* size, gchar* value) {
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if ((*length) == (*size)) {
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 702 "query.c"
	}
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*array)[(*length)++] = value;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*array)[*length] = NULL;
#line 708 "query.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 283 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	return self ? g_object_ref (self) : NULL;
#line 715 "query.c"
}


static gint __lambda5_ (GeeMapEntry* a, GeeMapEntry* b) {
	gint result = 0;
	GeeMapEntry* e1 = NULL;
	GeeMapEntry* _tmp0_ = NULL;
	GeeMapEntry* e2 = NULL;
	GeeMapEntry* _tmp1_ = NULL;
	gconstpointer _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gconstpointer _tmp4_ = NULL;
	gint _tmp5_ = 0;
#line 285 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 285 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 286 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp0_ = a;
#line 286 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	e1 = G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 287 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp1_ = b;
#line 287 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	e2 = G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 288 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp2_ = gee_map_entry_get_value (e2);
#line 288 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp3_ = _tmp2_;
#line 288 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp4_ = gee_map_entry_get_value (e1);
#line 288 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp5_ = _tmp4_;
#line 288 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	result = ((gint) ((gintptr) _tmp3_)) - ((gint) ((gintptr) _tmp5_));
#line 288 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	return result;
#line 753 "query.c"
}


static gint ___lambda5__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda5_ ((GeeMapEntry*) a, (GeeMapEntry*) b);
#line 285 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	return result;
#line 762 "query.c"
}


GeeList* synapse_query_get_matchers_for_query (const gchar* query, SynapseMatcherFlags match_flags, GRegexCompileFlags flags) {
	GeeList* result = NULL;
	GeeHashMap* results = NULL;
	GeeHashMap* _tmp0_ = NULL;
	GRegex* re = NULL;
	gchar** individual_words = NULL;
	const gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	gchar** _tmp37_ = NULL;
	gchar** _tmp38_ = NULL;
	gchar** _tmp39_ = NULL;
	gint _tmp39__length1 = 0;
	gint individual_words_length1 = 0;
	gint _individual_words_size_ = 0;
	gchar** _tmp40_ = NULL;
	gint _tmp40__length1 = 0;
	SynapseMatcherFlags _tmp97_ = 0;
	gchar** individual_chars = NULL;
	const gchar* _tmp109_ = NULL;
	gchar** _tmp110_ = NULL;
	gchar** _tmp111_ = NULL;
	gint individual_chars_length1 = 0;
	gint _individual_chars_size_ = 0;
	gchar** escaped_chars = NULL;
	gchar** _tmp112_ = NULL;
	gint escaped_chars_length1 = 0;
	gint _escaped_chars_size_ = 0;
	gchar** _tmp113_ = NULL;
	gint _tmp113__length1 = 0;
	gboolean _tmp117_ = FALSE;
	gboolean _tmp118_ = FALSE;
	SynapseMatcherFlags _tmp119_ = 0;
	gboolean _tmp133_ = FALSE;
	SynapseMatcherFlags _tmp134_ = 0;
	GeeArrayList* sorted_results = NULL;
	GeeArrayList* _tmp147_ = NULL;
	GeeSet* entries = NULL;
	GeeSet* _tmp148_ = NULL;
	GeeSet* _tmp149_ = NULL;
	GeeSet* _tmp150_ = NULL;
	GError * _inner_error_ = NULL;
#line 120 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	g_return_val_if_fail (query != NULL, NULL);
#line 138 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, g_regex_unref, G_TYPE_INT, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 138 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	results = _tmp0_;
#line 814 "query.c"
	{
		GRegex* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		GRegexCompileFlags _tmp7_ = 0;
		GRegex* _tmp8_ = NULL;
		GRegex* _tmp9_ = NULL;
		GRegex* _tmp10_ = NULL;
		GRegex* _tmp11_ = NULL;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp2_ = query;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp3_ = g_regex_escape_string (_tmp2_, -1);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp4_ = _tmp3_;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp5_ = g_strdup_printf ("^(%s)$", _tmp4_);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp6_ = _tmp5_;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp7_ = flags;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp8_ = g_regex_new (_tmp6_, _tmp7_, 0, &_inner_error_);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp9_ = _tmp8_;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp6_);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp4_);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp1_ = _tmp9_;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 853 "query.c"
				goto __catch17_g_regex_error;
			}
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 866 "query.c"
		}
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp10_ = _tmp1_;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp1_ = NULL;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (re);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		re = _tmp10_;
#line 144 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp11_ = re;
#line 144 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp11_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_HIGHEST)));
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (_tmp1_);
#line 882 "query.c"
	}
	goto __finally17;
	__catch17_g_regex_error:
	{
		GError* err = NULL;
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		err = _inner_error_;
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_inner_error_ = NULL;
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_error_free0 (err);
#line 894 "query.c"
	}
	__finally17:
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (re);
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_object_unref0 (results);
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 141 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		return NULL;
#line 909 "query.c"
	}
	{
		GRegex* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		GRegexCompileFlags _tmp18_ = 0;
		GRegex* _tmp19_ = NULL;
		GRegex* _tmp20_ = NULL;
		GRegex* _tmp21_ = NULL;
		GRegex* _tmp22_ = NULL;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp13_ = query;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp14_ = g_regex_escape_string (_tmp13_, -1);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp15_ = _tmp14_;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp16_ = g_strdup_printf ("^(%s)", _tmp15_);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp17_ = _tmp16_;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp18_ = flags;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp19_ = g_regex_new (_tmp17_, _tmp18_, 0, &_inner_error_);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp20_ = _tmp19_;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp17_);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp15_);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp12_ = _tmp20_;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 949 "query.c"
				goto __catch18_g_regex_error;
			}
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 962 "query.c"
		}
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp21_ = _tmp12_;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp12_ = NULL;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (re);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		re = _tmp21_;
#line 153 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp22_ = re;
#line 153 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp22_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_EXCELLENT)));
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (_tmp12_);
#line 978 "query.c"
	}
	goto __finally18;
	__catch18_g_regex_error:
	{
		GError* err = NULL;
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		err = _inner_error_;
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_inner_error_ = NULL;
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_error_free0 (err);
#line 990 "query.c"
	}
	__finally18:
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (re);
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_object_unref0 (results);
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 150 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		return NULL;
#line 1005 "query.c"
	}
	{
		GRegex* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		GRegexCompileFlags _tmp29_ = 0;
		GRegex* _tmp30_ = NULL;
		GRegex* _tmp31_ = NULL;
		GRegex* _tmp32_ = NULL;
		GRegex* _tmp33_ = NULL;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp24_ = query;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp25_ = g_regex_escape_string (_tmp24_, -1);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp26_ = _tmp25_;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp27_ = g_strdup_printf ("\\b(%s)", _tmp26_);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp28_ = _tmp27_;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp29_ = flags;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp30_ = g_regex_new (_tmp28_, _tmp29_, 0, &_inner_error_);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp31_ = _tmp30_;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp28_);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp26_);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp23_ = _tmp31_;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1045 "query.c"
				goto __catch19_g_regex_error;
			}
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 1058 "query.c"
		}
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp32_ = _tmp23_;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp23_ = NULL;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (re);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		re = _tmp32_;
#line 162 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp33_ = re;
#line 162 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp33_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_VERY_GOOD)));
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (_tmp23_);
#line 1074 "query.c"
	}
	goto __finally19;
	__catch19_g_regex_error:
	{
		GError* err = NULL;
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		err = _inner_error_;
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_inner_error_ = NULL;
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_error_free0 (err);
#line 1086 "query.c"
	}
	__finally19:
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_regex_unref0 (re);
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_object_unref0 (results);
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 159 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		return NULL;
#line 1101 "query.c"
	}
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp34_ = query;
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp35_ = string_strip (_tmp34_);
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp36_ = _tmp35_;
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp38_ = _tmp37_ = g_regex_split_simple ("\\s+", _tmp36_, 0, 0);
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp39_ = _tmp38_;
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp39__length1 = _vala_array_length (_tmp37_);
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 (_tmp36_);
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	individual_words = _tmp39_;
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	individual_words_length1 = _tmp39__length1;
#line 169 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_individual_words_size_ = individual_words_length1;
#line 170 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp40_ = individual_words;
#line 170 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp40__length1 = individual_words_length1;
#line 170 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (_tmp40__length1 >= 2) {
#line 1129 "query.c"
		gchar** escaped_words = NULL;
		gchar** _tmp41_ = NULL;
		gint escaped_words_length1 = 0;
		gint _escaped_words_size_ = 0;
		gchar** _tmp42_ = NULL;
		gint _tmp42__length1 = 0;
		gchar* pattern = NULL;
		gchar** _tmp46_ = NULL;
		gint _tmp46__length1 = 0;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		gchar* _tmp49_ = NULL;
		gchar* _tmp50_ = NULL;
		SynapseMatcherFlags _tmp57_ = 0;
#line 172 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp41_ = g_new0 (gchar*, 0 + 1);
#line 172 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		escaped_words = _tmp41_;
#line 172 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		escaped_words_length1 = 0;
#line 172 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_escaped_words_size_ = escaped_words_length1;
#line 173 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp42_ = individual_words;
#line 173 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp42__length1 = individual_words_length1;
#line 1156 "query.c"
		{
			gchar** word_collection = NULL;
			gint word_collection_length1 = 0;
			gint _word_collection_size_ = 0;
			gint word_it = 0;
#line 173 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			word_collection = _tmp42_;
#line 173 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			word_collection_length1 = _tmp42__length1;
#line 173 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			for (word_it = 0; word_it < _tmp42__length1; word_it = word_it + 1) {
#line 1168 "query.c"
				const gchar* word = NULL;
#line 173 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				word = word_collection[word_it];
#line 1172 "query.c"
				{
					gchar** _tmp43_ = NULL;
					gint _tmp43__length1 = 0;
					const gchar* _tmp44_ = NULL;
					gchar* _tmp45_ = NULL;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp43_ = escaped_words;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp43__length1 = escaped_words_length1;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp44_ = word;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp45_ = g_regex_escape_string (_tmp44_, -1);
#line 175 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_vala_array_add6 (&escaped_words, &escaped_words_length1, &_escaped_words_size_, _tmp45_);
#line 1188 "query.c"
				}
			}
		}
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp46_ = escaped_words;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp46__length1 = escaped_words_length1;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp47_ = _vala_g_strjoinv (").+\\b(", _tmp46_, _tmp46__length1);
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp48_ = _tmp47_;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp49_ = g_strdup_printf ("\\b(%s)", _tmp48_);
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp50_ = _tmp49_;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp48_);
#line 177 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		pattern = _tmp50_;
#line 1208 "query.c"
		{
			GRegex* _tmp51_ = NULL;
			const gchar* _tmp52_ = NULL;
			GRegexCompileFlags _tmp53_ = 0;
			GRegex* _tmp54_ = NULL;
			GRegex* _tmp55_ = NULL;
			GRegex* _tmp56_ = NULL;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp52_ = pattern;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp53_ = flags;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp54_ = g_regex_new (_tmp52_, _tmp53_, 0, &_inner_error_);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp51_ = _tmp54_;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1228 "query.c"
					goto __catch20_g_regex_error;
				}
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (pattern);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_regex_unref0 (re);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_object_unref0 (results);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				return NULL;
#line 1247 "query.c"
			}
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp55_ = _tmp51_;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp51_ = NULL;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			re = _tmp55_;
#line 183 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp56_ = re;
#line 183 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp56_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_GOOD)));
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (_tmp51_);
#line 1263 "query.c"
		}
		goto __finally20;
		__catch20_g_regex_error:
		{
			GError* err = NULL;
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			err = _inner_error_;
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_inner_error_ = NULL;
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_error_free0 (err);
#line 1275 "query.c"
		}
		__finally20:
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_free0 (pattern);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 180 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 1296 "query.c"
		}
#line 190 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp57_ = match_flags;
#line 190 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (!((_tmp57_ & SYNAPSE_MATCHER_FLAGS_NO_REVERSED) == SYNAPSE_MATCHER_FLAGS_NO_REVERSED)) {
#line 1302 "query.c"
			gchar** _tmp58_ = NULL;
			gint _tmp58__length1 = 0;
#line 192 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp58_ = escaped_words;
#line 192 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp58__length1 = escaped_words_length1;
#line 192 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (_tmp58__length1 == 2) {
#line 1311 "query.c"
				gchar* reversed = NULL;
				gchar** _tmp59_ = NULL;
				gint _tmp59__length1 = 0;
				const gchar* _tmp60_ = NULL;
				gchar** _tmp61_ = NULL;
				gint _tmp61__length1 = 0;
				const gchar* _tmp62_ = NULL;
				gchar* _tmp63_ = NULL;
				gchar* _tmp64_ = NULL;
				gchar* _tmp65_ = NULL;
				gchar* _tmp66_ = NULL;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp59_ = escaped_words;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp59__length1 = escaped_words_length1;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp60_ = _tmp59_[1];
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp61_ = escaped_words;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp61__length1 = escaped_words_length1;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp62_ = _tmp61_[0];
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp63_ = g_strjoin (").+\\b(", _tmp60_, _tmp62_, NULL, NULL);
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp64_ = _tmp63_;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp65_ = g_strdup_printf ("\\b(%s)", _tmp64_);
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp66_ = _tmp65_;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (_tmp64_);
#line 194 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				reversed = _tmp66_;
#line 1347 "query.c"
				{
					GRegex* _tmp67_ = NULL;
					const gchar* _tmp68_ = NULL;
					GRegexCompileFlags _tmp69_ = 0;
					GRegex* _tmp70_ = NULL;
					GRegex* _tmp71_ = NULL;
					GRegex* _tmp72_ = NULL;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp68_ = reversed;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp69_ = flags;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp70_ = g_regex_new (_tmp68_, _tmp69_, 0, &_inner_error_);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp67_ = _tmp70_;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1367 "query.c"
							goto __catch21_g_regex_error;
						}
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_free0 (reversed);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_free0 (pattern);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_regex_unref0 (re);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_object_unref0 (results);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						g_clear_error (&_inner_error_);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						return NULL;
#line 1388 "query.c"
					}
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp71_ = _tmp67_;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp67_ = NULL;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_regex_unref0 (re);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					re = _tmp71_;
#line 201 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp72_ = re;
#line 201 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp72_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_GOOD - SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_regex_unref0 (_tmp67_);
#line 1404 "query.c"
				}
				goto __finally21;
				__catch21_g_regex_error:
				{
					GError* err = NULL;
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					err = _inner_error_;
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_inner_error_ = NULL;
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_error_free0 (err);
#line 1416 "query.c"
				}
				__finally21:
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_free0 (reversed);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_free0 (pattern);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_regex_unref0 (re);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_object_unref0 (results);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					g_clear_error (&_inner_error_);
#line 198 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					return NULL;
#line 1439 "query.c"
				}
#line 192 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (reversed);
#line 1443 "query.c"
			} else {
				gchar* orred = NULL;
				gchar** _tmp73_ = NULL;
				gint _tmp73__length1 = 0;
				gchar* _tmp74_ = NULL;
				gchar* _tmp75_ = NULL;
				gchar* _tmp76_ = NULL;
				gchar* _tmp77_ = NULL;
				gchar* any_order = NULL;
				gchar* _tmp78_ = NULL;
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp73_ = escaped_words;
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp73__length1 = escaped_words_length1;
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp74_ = _vala_g_strjoinv (")|(?:", _tmp73_, _tmp73__length1);
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp75_ = _tmp74_;
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp76_ = g_strdup_printf ("\\b((?:%s))", _tmp75_);
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp77_ = _tmp76_;
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (_tmp75_);
#line 210 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				orred = _tmp77_;
#line 211 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp78_ = g_strdup ("");
#line 211 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				any_order = _tmp78_;
#line 1474 "query.c"
				{
					gint i = 0;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					i = 0;
#line 1479 "query.c"
					{
						gboolean _tmp79_ = FALSE;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_tmp79_ = TRUE;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						while (TRUE) {
#line 1486 "query.c"
							gint _tmp81_ = 0;
							gchar** _tmp82_ = NULL;
							gint _tmp82__length1 = 0;
							gboolean is_last = FALSE;
							gint _tmp83_ = 0;
							gchar** _tmp84_ = NULL;
							gint _tmp84__length1 = 0;
							const gchar* _tmp85_ = NULL;
							const gchar* _tmp86_ = NULL;
							gchar* _tmp87_ = NULL;
							gboolean _tmp88_ = FALSE;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							if (!_tmp79_) {
#line 1500 "query.c"
								gint _tmp80_ = 0;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								_tmp80_ = i;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								i = _tmp80_ + 1;
#line 1506 "query.c"
							}
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp79_ = FALSE;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp81_ = i;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp82_ = escaped_words;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp82__length1 = escaped_words_length1;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							if (!(_tmp81_ < _tmp82__length1)) {
#line 212 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								break;
#line 1520 "query.c"
							}
#line 214 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp83_ = i;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp84_ = escaped_words;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp84__length1 = escaped_words_length1;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							is_last = _tmp83_ == (_tmp84__length1 - 1);
#line 215 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp85_ = any_order;
#line 215 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp86_ = orred;
#line 215 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp87_ = g_strconcat (_tmp85_, _tmp86_, NULL);
#line 215 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_g_free0 (any_order);
#line 215 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							any_order = _tmp87_;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							_tmp88_ = is_last;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
							if (!_tmp88_) {
#line 1544 "query.c"
								const gchar* _tmp89_ = NULL;
								gchar* _tmp90_ = NULL;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								_tmp89_ = any_order;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								_tmp90_ = g_strconcat (_tmp89_, ".+", NULL);
#line 216 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								_g_free0 (any_order);
#line 216 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
								any_order = _tmp90_;
#line 1555 "query.c"
							}
						}
					}
				}
				{
					GRegex* _tmp91_ = NULL;
					const gchar* _tmp92_ = NULL;
					GRegexCompileFlags _tmp93_ = 0;
					GRegex* _tmp94_ = NULL;
					GRegex* _tmp95_ = NULL;
					GRegex* _tmp96_ = NULL;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp92_ = any_order;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp93_ = flags;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp94_ = g_regex_new (_tmp92_, _tmp93_, 0, &_inner_error_);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp91_ = _tmp94_;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1579 "query.c"
							goto __catch22_g_regex_error;
						}
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_free0 (any_order);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_free0 (orred);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_free0 (pattern);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_regex_unref0 (re);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						_g_object_unref0 (results);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						g_clear_error (&_inner_error_);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
						return NULL;
#line 1602 "query.c"
					}
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp95_ = _tmp91_;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp91_ = NULL;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_regex_unref0 (re);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					re = _tmp95_;
#line 221 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_tmp96_ = re;
#line 221 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp96_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_AVERAGE + SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_regex_unref0 (_tmp91_);
#line 1618 "query.c"
				}
				goto __finally22;
				__catch22_g_regex_error:
				{
					GError* err = NULL;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					err = _inner_error_;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_inner_error_ = NULL;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_error_free0 (err);
#line 1630 "query.c"
				}
				__finally22:
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_free0 (any_order);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_free0 (orred);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_free0 (pattern);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_regex_unref0 (re);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					_g_object_unref0 (results);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					g_clear_error (&_inner_error_);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
					return NULL;
#line 1655 "query.c"
				}
#line 192 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (any_order);
#line 192 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (orred);
#line 1661 "query.c"
			}
		}
#line 170 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (pattern);
#line 170 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 1668 "query.c"
	}
#line 230 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp97_ = match_flags;
#line 230 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (!((_tmp97_ & SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING) == SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING)) {
#line 1674 "query.c"
		{
			GRegex* _tmp98_ = NULL;
			const gchar* _tmp99_ = NULL;
			gchar* _tmp100_ = NULL;
			gchar* _tmp101_ = NULL;
			gchar* _tmp102_ = NULL;
			gchar* _tmp103_ = NULL;
			GRegexCompileFlags _tmp104_ = 0;
			GRegex* _tmp105_ = NULL;
			GRegex* _tmp106_ = NULL;
			GRegex* _tmp107_ = NULL;
			GRegex* _tmp108_ = NULL;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp99_ = query;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp100_ = g_regex_escape_string (_tmp99_, -1);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp101_ = _tmp100_;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp102_ = g_strdup_printf ("(%s)", _tmp101_);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp103_ = _tmp102_;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp104_ = flags;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp105_ = g_regex_new (_tmp103_, _tmp104_, 0, &_inner_error_);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp106_ = _tmp105_;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_free0 (_tmp103_);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_free0 (_tmp101_);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp98_ = _tmp106_;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1713 "query.c"
					goto __catch23_g_regex_error;
				}
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_regex_unref0 (re);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_object_unref0 (results);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				return NULL;
#line 1728 "query.c"
			}
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp107_ = _tmp98_;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp98_ = NULL;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			re = _tmp107_;
#line 235 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp108_ = re;
#line 235 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp108_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_BELOW_AVERAGE)));
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (_tmp98_);
#line 1744 "query.c"
		}
		goto __finally23;
		__catch23_g_regex_error:
		{
			GError* err = NULL;
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			err = _inner_error_;
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_inner_error_ = NULL;
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_error_free0 (err);
#line 1756 "query.c"
		}
		__finally23:
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 232 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 1773 "query.c"
		}
	}
#line 243 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp109_ = query;
#line 243 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp111_ = _tmp110_ = g_regex_split_simple ("\\s*", _tmp109_, 0, 0);
#line 243 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	individual_chars = _tmp111_;
#line 243 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	individual_chars_length1 = _vala_array_length (_tmp110_);
#line 243 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_individual_chars_size_ = individual_chars_length1;
#line 244 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp112_ = g_new0 (gchar*, 0 + 1);
#line 244 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	escaped_chars = _tmp112_;
#line 244 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	escaped_chars_length1 = 0;
#line 244 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_escaped_chars_size_ = escaped_chars_length1;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp113_ = individual_chars;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp113__length1 = individual_chars_length1;
#line 1798 "query.c"
	{
		gchar** word_collection = NULL;
		gint word_collection_length1 = 0;
		gint _word_collection_size_ = 0;
		gint word_it = 0;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		word_collection = _tmp113_;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		word_collection_length1 = _tmp113__length1;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		for (word_it = 0; word_it < _tmp113__length1; word_it = word_it + 1) {
#line 1810 "query.c"
			const gchar* word = NULL;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			word = word_collection[word_it];
#line 1814 "query.c"
			{
				gchar** _tmp114_ = NULL;
				gint _tmp114__length1 = 0;
				const gchar* _tmp115_ = NULL;
				gchar* _tmp116_ = NULL;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp114_ = escaped_chars;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp114__length1 = escaped_chars_length1;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp115_ = word;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_tmp116_ = g_regex_escape_string (_tmp115_, -1);
#line 247 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_vala_array_add7 (&escaped_chars, &escaped_chars_length1, &_escaped_chars_size_, _tmp116_);
#line 1830 "query.c"
			}
		}
	}
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp119_ = match_flags;
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (!((_tmp119_ & SYNAPSE_MATCHER_FLAGS_NO_PARTIAL) == SYNAPSE_MATCHER_FLAGS_NO_PARTIAL)) {
#line 1838 "query.c"
		gchar** _tmp120_ = NULL;
		gint _tmp120__length1 = 0;
#line 252 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp120_ = individual_words;
#line 252 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp120__length1 = individual_words_length1;
#line 252 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp118_ = _tmp120__length1 == 1;
#line 1847 "query.c"
	} else {
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp118_ = FALSE;
#line 1851 "query.c"
	}
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (_tmp118_) {
#line 1855 "query.c"
		gchar** _tmp121_ = NULL;
		gint _tmp121__length1 = 0;
#line 252 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp121_ = individual_chars;
#line 252 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp121__length1 = individual_chars_length1;
#line 252 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp117_ = _tmp121__length1 <= 5;
#line 1864 "query.c"
	} else {
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp117_ = FALSE;
#line 1868 "query.c"
	}
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (_tmp117_) {
#line 1872 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp122_ = NULL;
		gint _tmp122__length1 = 0;
		gchar* _tmp123_ = NULL;
		gchar* _tmp124_ = NULL;
		gchar* _tmp125_ = NULL;
		gchar* _tmp126_ = NULL;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp122_ = escaped_chars;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp122__length1 = escaped_chars_length1;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp123_ = _vala_g_strjoinv (").+\\b(", _tmp122_, _tmp122__length1);
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp124_ = _tmp123_;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp125_ = g_strdup_printf ("\\b(%s)", _tmp124_);
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp126_ = _tmp125_;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp124_);
#line 254 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		pattern = _tmp126_;
#line 1896 "query.c"
		{
			GRegex* _tmp127_ = NULL;
			const gchar* _tmp128_ = NULL;
			GRegexCompileFlags _tmp129_ = 0;
			GRegex* _tmp130_ = NULL;
			GRegex* _tmp131_ = NULL;
			GRegex* _tmp132_ = NULL;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp128_ = pattern;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp129_ = flags;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp130_ = g_regex_new (_tmp128_, _tmp129_, 0, &_inner_error_);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp127_ = _tmp130_;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1916 "query.c"
					goto __catch24_g_regex_error;
				}
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (pattern);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_regex_unref0 (re);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_object_unref0 (results);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				return NULL;
#line 1937 "query.c"
			}
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp131_ = _tmp127_;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp127_ = NULL;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			re = _tmp131_;
#line 259 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp132_ = re;
#line 259 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp132_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE)));
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (_tmp127_);
#line 1953 "query.c"
		}
		goto __finally24;
		__catch24_g_regex_error:
		{
			GError* err = NULL;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			err = _inner_error_;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_inner_error_ = NULL;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_error_free0 (err);
#line 1965 "query.c"
		}
		__finally24:
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_free0 (pattern);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 1988 "query.c"
		}
#line 251 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (pattern);
#line 1992 "query.c"
	}
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp134_ = match_flags;
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (!((_tmp134_ & SYNAPSE_MATCHER_FLAGS_NO_FUZZY) == SYNAPSE_MATCHER_FLAGS_NO_FUZZY)) {
#line 1998 "query.c"
		gchar** _tmp135_ = NULL;
		gint _tmp135__length1 = 0;
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp135_ = escaped_chars;
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp135__length1 = escaped_chars_length1;
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp133_ = _tmp135__length1 > 0;
#line 2007 "query.c"
	} else {
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp133_ = FALSE;
#line 2011 "query.c"
	}
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	if (_tmp133_) {
#line 2015 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp136_ = NULL;
		gint _tmp136__length1 = 0;
		gchar* _tmp137_ = NULL;
		gchar* _tmp138_ = NULL;
		gchar* _tmp139_ = NULL;
		gchar* _tmp140_ = NULL;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp136_ = escaped_chars;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp136__length1 = escaped_chars_length1;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp137_ = _vala_g_strjoinv (").*(", _tmp136_, _tmp136__length1);
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp138_ = _tmp137_;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp139_ = g_strdup_printf ("\\b(%s)", _tmp138_);
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_tmp140_ = _tmp139_;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (_tmp138_);
#line 268 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		pattern = _tmp140_;
#line 2039 "query.c"
		{
			GRegex* _tmp141_ = NULL;
			const gchar* _tmp142_ = NULL;
			GRegexCompileFlags _tmp143_ = 0;
			GRegex* _tmp144_ = NULL;
			GRegex* _tmp145_ = NULL;
			GRegex* _tmp146_ = NULL;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp142_ = pattern;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp143_ = flags;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp144_ = g_regex_new (_tmp142_, _tmp143_, 0, &_inner_error_);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp141_ = _tmp144_;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2059 "query.c"
					goto __catch25_g_regex_error;
				}
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_free0 (pattern);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_regex_unref0 (re);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				_g_object_unref0 (results);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
				return NULL;
#line 2080 "query.c"
			}
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp145_ = _tmp141_;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp141_ = NULL;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			re = _tmp145_;
#line 273 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_tmp146_ = re;
#line 273 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp146_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_POOR)));
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (_tmp141_);
#line 2096 "query.c"
		}
		goto __finally25;
		__catch25_g_regex_error:
		{
			GError* err = NULL;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			err = _inner_error_;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_inner_error_ = NULL;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_error_free0 (err);
#line 2108 "query.c"
		}
		__finally25:
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_free0 (pattern);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_regex_unref0 (re);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			_g_object_unref0 (results);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
			return NULL;
#line 2131 "query.c"
		}
#line 266 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
		_g_free0 (pattern);
#line 2135 "query.c"
	}
#line 280 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp147_ = gee_array_list_new (GEE_MAP_TYPE_ENTRY, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 280 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	sorted_results = _tmp147_;
#line 281 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp148_ = gee_abstract_map_get_entries ((GeeMap*) results);
#line 281 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp149_ = _tmp148_;
#line 281 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	entries = _tmp149_;
#line 283 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp150_ = _g_object_ref0 (entries);
#line 283 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	g_object_set_data_full ((GObject*) sorted_results, "entries-ref", _tmp150_, g_object_unref);
#line 284 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	gee_array_list_add_all (sorted_results, (GeeCollection*) entries);
#line 285 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	gee_list_sort ((GeeList*) sorted_results, ___lambda5__gcompare_data_func, NULL, NULL);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	result = (GeeList*) sorted_results;
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_object_unref0 (entries);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_regex_unref0 (re);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_object_unref0 (results);
#line 291 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	return result;
#line 2171 "query.c"
}


void synapse_query_copy (const SynapseQuery* self, SynapseQuery* dest) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GCancellable* _tmp4_ = NULL;
	GCancellable* _tmp5_ = NULL;
	SynapseQueryFlags _tmp6_ = 0;
	guint _tmp7_ = 0U;
	guint _tmp8_ = 0U;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp0_ = (*self).query_string;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 ((*dest).query_string);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*dest).query_string = _tmp1_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp2_ = (*self).query_string_folded;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 ((*dest).query_string_folded);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*dest).query_string_folded = _tmp3_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp4_ = (*self).cancellable;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_object_unref0 ((*dest).cancellable);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*dest).cancellable = _tmp5_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp6_ = (*self).query_type;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*dest).query_type = _tmp6_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp7_ = (*self).max_results;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*dest).max_results = _tmp7_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_tmp8_ = (*self).query_id;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	(*dest).query_id = _tmp8_;
#line 2221 "query.c"
}


void synapse_query_destroy (SynapseQuery* self) {
#line 88 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 ((*self).query_string);
#line 89 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 90 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	_g_object_unref0 ((*self).cancellable);
#line 2232 "query.c"
}


SynapseQuery* synapse_query_dup (const SynapseQuery* self) {
	SynapseQuery* dup;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	dup = g_new0 (SynapseQuery, 1);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	synapse_query_copy (self, dup);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	return dup;
#line 2244 "query.c"
}


void synapse_query_free (SynapseQuery* self) {
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	synapse_query_destroy (self);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/query.vala"
	g_free (self);
#line 2253 "query.c"
}


GType synapse_query_get_type (void) {
	static volatile gsize synapse_query_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_type_id__volatile)) {
		GType synapse_query_type_id;
		synapse_query_type_id = g_boxed_type_register_static ("SynapseQuery", (GBoxedCopyFunc) synapse_query_dup, (GBoxedFreeFunc) synapse_query_free);
		g_once_init_leave (&synapse_query_type_id__volatile, synapse_query_type_id);
	}
	return synapse_query_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 2271 "query.c"
		int i;
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
				destroy_func (((gpointer*) array)[i]);
#line 2279 "query.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
	g_free (array);
#line 2291 "query.c"
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
	if (array) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
		while (((gpointer*) array)[length]) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
			length++;
#line 2304 "query.c"
		}
	}
#line 239 "/builddir/build/BUILD/synapse-0.2.99.1/src/core/data-sink.vala"
	return length;
#line 2309 "query.c"
}



